HanMacWrdKParserInternal::State Struct Reference

Internal: the state of a HanMacWrdKParser. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

long | m_zonesListBegin
| the list of zone begin
std::multimap< long, std::shared_ptr< HanMacWrdKZone > > | m_zonesMap
| a map of entry: zoneId->zone
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
int | m_headerHeight
| the header height if known
int | m_footerHeight
| the footer height if known

## Detailed Description

Internal: the state of a HanMacWrdKParser.

## Constructor & Destructor Documentation

## State()

HanMacWrdKParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_actPage

int HanMacWrdKParserInternal::State::m_actPage

the actual page

Referenced by State().

## m_footerHeight

int HanMacWrdKParserInternal::State::m_footerHeight

the footer height if known

Referenced by State().

## m_headerHeight

int HanMacWrdKParserInternal::State::m_headerHeight

the header height if known

Referenced by State().

## m_numPages

int HanMacWrdKParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## m_zonesListBegin

long HanMacWrdKParserInternal::State::m_zonesListBegin

the list of zone begin

Referenced by State().

## m_zonesMap

std::multimap<long, std::shared_ptr<HanMacWrdKZone> > HanMacWrdKParserInternal::State::m_zonesMap

a map of entry: zoneId->zone

Referenced by State().

The documentation for this struct was generated from the following file:

- HanMacWrdKParser.cxx